     /********************************************************************
      ***                      Gestion SD Card                         ***
      ***               Fonctions des couches basses                   ***
      ***                      dsPIC30F4011                            ***
      ***                                                              ***
      ***  Fichier "header" : Hardware.h                               ***
      ***  Auteur : CREMMEL Marcel                                     ***
      ***  Date : 24/09/2007                                           ***
      ********************************************************************/

                        /*********************************
                        * Cblage de la maquette de test *
                        **********************************/
#ifndef Hardware_Defs
#define Hardware_Defs

#include "Typedefs.h"

/*----------------------------
            CPU     
------------------------------*/
#define FCY     (uint32)4000000*16/4 // xtal = 4Mhz; PLLx16 -> 16 MIPS

/*----------------------------
          SD Card
------------------------------*/
#define SDC_CS        LATDbits.LATD3   // RD3=CS_SD: entre CS de la SD Card
#define SDC_CS_DIR    TRISDbits.TRISD3
#define SDC_CD        PORTDbits.RD0    // RD0=CD_SD: contact de prsence SD Card
#define SDC_CD_DIR    TRISDbits.TRISD0
#define SDC_WP		  PORTDbits.RD2    // RD2=WP_SD: switch de protection en criture
#define SDC_WP_DIR	  TRISDbits.TRISD2
#define SDC_POWER     PORTBbits.RB8    // RB8=POWER_SD: commande alim. carte SD
#define SDC_POWER_DIR TRISBbits.TRISB8
/* Broches ddies :
  - 26 : SDI1=RF2 connect  SDO_SD (sortie donnes SD Card)
  - 25 : SDO1=RF3 connect  SDI_SD (entre donnes SD Card)
  - 24 : SCK1=RF6 connect  CLK_SD (horloge donnes SD Card) */

/*----------------------------
       Leds indicatrices      
-----------------------------*/
#define STATUSLED
#define STRTRIS TRISEbits.TRISE2
#define STRLED  PORTEbits.RE2     // Indicateur de lecture : STatus Read LED sur RE2
#define STWTRIS TRISEbits.TRISE1
#define STWLED  PORTEbits.RE1     // Indicateur d'criture : STatus Write LED sur RE1

/*****************************
*       Signaux de test
******************************
TEST0 sur port RE3 (broche 35) 
TEST1 sur port RE4 (broche 34) */
#define TEST0 LATEbits.LATE3 
#define TEST1 LATEbits.LATE4
#define TEST0_Dir TRISEbits.TRISE3
#define TEST1_Dir TRISEbits.TRISE4

#endif // Hardware_Defs
