     /********************************************************************
      ***                      Projet VAE                              ***
      ***               Fonctions lies au Timer 3                     ***
      ***                      dsPIC30F4011                            ***
      ***                                                              ***
      ***  Fichier "entte" : Timer3.h                                 ***
      ***  Auteur : CREMMEL Marcel                                     ***
      ***  Date   : 30/09/2007                                         ***
      ********************************************************************/

#ifndef Timer3_Defs
#define Timer3_Defs

#include "Typedefs.h"

/*------------------------------------------------------------------------------
               Prototypes des fonctions en mmoire flash
------------------------------------------------------------------------------*/

/*--------------------------------------------------------          
  Function   : void InitTMR3(void)
  Description: Initialisation du Timer 3 (Timer C)                       
               Horloge = Fcy/256 = 62,5kHz
               Utilis pour : - mesurer la vitesse du moteur        
                              - produire des dlais logiciels
-----------------------------------------------------------*/
void InitTMR3(void);

/*--------------------------------------------------------          
  Function   : void Delay(uint16 Delai)
  Description: Dlai "logiciel"                       
               Utilise le Timer3
  Paramtre  : Delai : dlai (rsolution 1/62500 s)
               Dlai maximum : 68719 s !               
-----------------------------------------------------------*/
#define Delai_100ms 6250 // 6250/62500
#define Delai_40ms  2500 // 2500/62500
#define Delai_10ms  625  // 625/62500
#define Delai_1ms   63   // 63/62500
#define Delai_500us 31   // 31/62500
#define Delai_48uS  3    // 3/62500
#define Delai_mini  1    // 1/62500 = 16S

void Delay(uint16 Delai);

#endif // Timer3_Defs
